Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: Установка Bully на ubuntu 16.04 LTS  (Прочитано 1969 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн BruceW

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Установка Bully на ubuntu 16.04 LTS
« : 12 Октябрь 2016, 01:00:06 »
Ну поехали!
Первым делом,естественно:

 1) sudo apt-get update
 2) sudo apt-get upgrade

Далее :

 3) sudo apt install build-essential libssl-dev libpcap-dev aircrack-ng make git
 Подтвержаем установку латинской "y" и Жмакаем Enter
 4) sudo git clone https://github.com/Lrs121/bully.git
 Если после набора этой команды высветиться "fatal: целевой путь «bully» уже существует и не является пустым каталогом" - не обращаем внимания ,т.к. делал по инструкции для Debian 8,а у нас другой дистрбьютив .
 5) cd bully/src
 6) make
 7) sudo make install

Ну собственно и всё! Запускаем :
 8) bully

Видим :
   usage: bully <options> interface

  Required arguments:

      interface      : Wireless interface in monitor mode (root required)

      -b, --bssid macaddr    : MAC address of the target access point
   Or
      -e, --essid string     : Extended SSID for the access point

  Optional arguments:

      -c, --channel N[,N...] : Channel number of AP, or list to hop [b/g]
      -i, --index N          : Starting pin index (7 or 8 digits)  [Auto]
      -l, --lockwait N       : Seconds to wait if the AP locks WPS   [43]
      -o, --outfile file     : Output file for messages          [stdout]
      -p, --pin N            : Starting pin number (7 or 8 digits) [Auto]
      -s, --source macaddr   : Source (hardware) MAC address      [Probe]
      -v, --verbosity N      : Verbosity level 1-4, 1 is quietest     [3]
      -w, --workdir path     : Location of pin/session files  [~/.bully/]
      -5, --5ghz             : Hop on 5GHz a/n default channel list  [No]
      -B, --bruteforce       : Bruteforce the WPS pin checksum digit [No]
      -F, --force            : Force continue in spite of warnings   [No]
      -S, --sequential       : Sequential pins (do not randomize)    [No]
      -T, --test             : Test mode (do not inject any packets) [No]

  Advanced arguments:

      -d, --pixiewps         : Attempt to use pixiewps               [No]
      -a, --acktime N        : Deprecated/ignored                  [Auto]
      -r, --retries N        : Resend packets N times when not acked  [2]
      -m, --m13time N        : Deprecated/ignored                  [Auto]
      -t, --timeout N        : Deprecated/ignored                  [Auto]
      -1, --pin1delay M,N    : Delay M seconds every Nth nack at M5 [0,1]
      -2, --pin2delay M,N    : Delay M seconds every Nth nack at M7 [5,1]
      -A, --noacks           : Disable ACK check for sent packets    [No]
      -C, --nocheck          : Skip CRC/FCS validation (performance) [No]
      -D, --detectlock       : Detect WPS lockouts unreported by AP  [No]
      -E, --eapfail          : EAP Failure terminate every exchange  [No]
      -L, --lockignore       : Ignore WPS locks reported by the AP   [No]
      -M, --m57nack          : M5/M7 timeouts treated as WSC_NACK's  [No]
      -N, --nofcs            : Packets don't contain the FCS field [Auto]
      -P, --probe            : Use probe request for nonbeaconing AP [No]
      -R, --radiotap         : Assume radiotap headers are present [Auto]
      -W, --windows7         : Masquerade as a Windows 7 registrar   [No]
      -Z, --suppress         : Suppress packet throttling algorithm  [No]
      -V, --version          : Print version info and exit
      -h, --help             : Display this help information

No monitor mode interface specified

Спасибо за внимание . Буду рад если помог кому-то ! Удачи !  :coolsmiley:
« Последнее редактирование: 16 Октябрь 2016, 03:27:02 от BruceW »

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5138
    • Просмотр профиля
Re: Не устанавливается Bully на ubuntu 16.04 LTS
« Ответ #1 : 12 Октябрь 2016, 09:43:47 »
BruceW, кто вас так учил собирать пакеты?

sudo apt-get update
sudo apt-get install libssl-dev

Оффлайн BruceW

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Re: Не устанавливается Bully на ubuntu 16.04 LTS
« Ответ #2 : 13 Октябрь 2016, 12:18:33 »
кто вас так учил собирать пакеты?
никто не учил ,я сам . По инструкции же делаю,но почему-то для разных линуксов нужно переигрывать эти инструкции и здесь необходим опыт которого пока не достаточно ...

Оффлайн Nemolab

  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля
Re: Установка Bully на ubuntu 16.04 LTS
« Ответ #3 : 04 Декабрь 2016, 08:33:37 »
Чувак, специально зарегестрировался здесь, чтобы поблагодарить тебя! Дак вот - спасибо!

Оффлайн BruceW

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Re: Установка Bully на ubuntu 16.04 LTS
« Ответ #4 : 28 Декабрь 2016, 03:07:49 »
Чувак, специально зарегестрировался здесь, чтобы поблагодарить тебя! Дак вот - спасибо!
ок ) Я сам сначала в этой теме завал вопрос об установки Bully ,но нашёл решение быстрее, переделал тему и скинул всю инфу сюда . Этот Bully мне нужен был для установки одной приблуды на KALI LINUX . Всё работает как надо :)

 

Страница сгенерирована за 0.069 секунд. Запросов: 24.